Security enhancements to IP Vault and new Gemini 3.1 Flash Live STS model for Convo mode
curl --request PATCH \
--url https://pria.praxislxp.com/user/memory/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_value": "<string>",
"key_description": "<string>",
"shared": true
}
'{
"success": true,
"data": {
"_id": "<string>",
"key_name": "<string>",
"key_value": "<string>",
"key_description": "<string>",
"key_namespace": "<string>",
"shared": true,
"created": "2023-11-07T05:31:56Z",
"institution": {
"_id": "<string>",
"name": "<string>",
"ainame": "<string>"
},
"editable": true,
"isAuthor": true
}
}Whitelist: key_value, key_description, shared. Author can always edit own rows; non-author can edit shared rows iff super or holds institutions.edit on that institution.
curl --request PATCH \
--url https://pria.praxislxp.com/user/memory/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_value": "<string>",
"key_description": "<string>",
"shared": true
}
'{
"success": true,
"data": {
"_id": "<string>",
"key_name": "<string>",
"key_value": "<string>",
"key_description": "<string>",
"key_namespace": "<string>",
"shared": true,
"created": "2023-11-07T05:31:56Z",
"institution": {
"_id": "<string>",
"name": "<string>",
"ainame": "<string>"
},
"editable": true,
"isAuthor": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?